# Sheet

class orcus.Sheet

  An instance of this class represents a single sheet inside a document.

  get_rows()

    This function returns a row iterator object that allows you to iterate through rows in the data region.

    Return type:

      `SheetRows`

    Returns:

      row iterator object.

    Example:

        rows = sheet.get_rows()

        for row in rows:
            print(row)  # tuple of cell values

  get_named_expressions()

    Get a named expressions iterator.

    Return type:

      `NamedExpressions`

    Returns:

      named expression object.

  write()

    Write sheet content to specified file object.

    Parameters:

      - file – writable object to write the sheet content to.

      - format (`FormatType`) – format of the output. Note that it currently only supports a subset of the formats provided by the `FormatType` type.

  name

    Read-only attribute that stores the name of the sheet.

  sheet_size

    Read-only dictionary object that stores the column and row sizes of the sheet with the column and row keys, respectively.

  data_size

    Read-only dictionary object that stores the column and row sizes of the data region of the sheet with the column and row keys, respectively. The data region is the smallest possible range that includes all non-empty cells in the sheet. The top-left corner of the data region is always at the top-left corner of the sheet.